package request

import "leafdev.top/Ecosystem/recommender/internal/schema"

type PostSaveRequest struct {
	Title      string          `json:"title"  binding:"required"`
	Content    string          `json:"content"  binding:"required"`
	CategoryId schema.EntityId `json:"category_id"  binding:"required"`
	TargetId   string          `json:"target_id"  binding:"required"`
}

type PostIdRequest struct {
	PostId schema.EntityId `json:"post_id" uri:"post_id" form:"post_id" binding:"required"`
}
