package post

import (
	"leafdev.top/Ecosystem/recommender/internal/base/conf"
	"leafdev.top/Ecosystem/recommender/internal/dao"
	"leafdev.top/Ecosystem/recommender/internal/service/stream"
)

type Service struct {
	dao    *dao.Query
	config *conf.Config
	stream *stream.Service
}

func NewService(dao *dao.Query, config *conf.Config, stream *stream.Service) *Service {
	return &Service{
		dao:    dao,
		config: config,
		stream: stream,
	}
}
